Subject: order 100352, concierge
From: Subir Chakma <[email-masked]>
To: "Surya Prakash. Tiwari" <[email-masked]>
Date: Mon, 3 Mar 2014 11:18:15 +0530 (IST)

follow up with cx and complete order pls. pending since Feb 28th 

Melaney, 

I received your order , thank you.   I want to make sure that you have software and download cable for the loggers or you will not be able to use them. 

The software with the cable is $87.30. 

If you need this you can order it online or you can give me a call and I can add it to the order before it ships tomorrow. 

Thanks, 

Kathy 

435-251-8106 ph 

435-251-8107 fax 

Regards 
Subir